## cyborg 13.0.0~rc1

=== debian/changelog ===
cyborg (13.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 11:52:35 +0200

cyborg (12.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #1080389).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2024 11:52:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/cyborg-common.config debian/cyborg-common.postinst
	rm -f debian/cyborg-api.config debian/cyborg-api.postinst debian/cyborg-common.postrm
	rm -f debian/*.init debian/*.service debian/*.templates
	rm -rf build *.egg-info $(CURDIR)/debian/po
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cyborg-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cyborg-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cyborg-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cyborg-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cyborg-common.postrm
	pkgos-merge-templates cyborg-api cyborg endpoint
	pkgos-merge-templates cyborg-common cyborg db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'cyborg\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common/cyborg.conf \
		--namespace cyborg \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common/cyborg.conf keystone_authtoken cyborg

	mkdir -p $(CURDIR)/debian/cyborg-common/etc/cyborg/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cyborg-common/etc/cyborg/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cyborg.api

	mkdir -p $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common
	cp $(CURDIR)/debian/tmp/usr/etc/cyborg/api-paste.ini $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing
	# Generate all config files

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# Warning: building doc fails.
	set -e ; set -x ; if ! PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/cyborg-doc/usr/share/doc/cyborg-doc/html ; then \
		cat /tmp/sphinx-err*.log ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No man pages for now"
#	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cyborg 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.11,!=2.1.0 # Apache-2.0
pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
WSME>=0.10.1 # MIT
eventlet>=0.26.0 # MIT
oslo.i18n>=1.5.0 # Apache-2.0
oslo.config>=1.1.0,!=4.3.0,!=4.4.0 # Apache-2.0
oslo.log>=5.0.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.service>=1.0.0,!=1.28.1 # Apache-2.0
oslo.db>=10.0.0 # Apache-2.0
os-resource-classes>=0.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
SQLAlchemy>=0.9.0,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8 # MIT
alembic>=0.8.10 # MIT
stevedore>=1.5.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
jsonpatch>=1.16,!=1.20 # BSD
psutil>=3.2.2 # BSD
python-glanceclient>=2.3.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
microversion_parse>=0.2.1 # Apache-2.0
openstacksdk>=0.46.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
cyborg (13.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090407).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:14:11 +0100

cyborg (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:54:14 +0200

=== debian/control ===
Source: cyborg
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-cursive,
 python3-ddt,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-jsonpatch,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-resource-classes,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pecan,
 python3-psutil,
 python3-pycodestyle,
 python3-pygments,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 python3-wsme,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cyborg
Vcs-Git: https://salsa.debian.org/openstack-team/services/cyborg.git
Homepage: https://github.com/openstack/cyborg

Package: cyborg-api
Architecture: all
Depends:
 adduser,
 cyborg-common (= ${source:Version}),
 debconf,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Acceleration as a Service - API server
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package contains the Cyborg API server.

Package: cyborg-agent
Architecture: all
Depends:
 adduser,
 cyborg-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Acceleration as a Service - processor
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package contains the Cyborg agent.

Package: cyborg-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-cyborg (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Acceleration as a Service - common files
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package contains common files for Cyborg.

Package: cyborg-conductor
Architecture: all
Depends:
 cyborg-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Acceleration as a Service - conductor
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package contains the conductor.

Package: cyborg-doc
Architecture: all
Section: doc
Depends:
 python3-os-api-ref,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Acceleration as a Service - Documentation
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package contains the documentation.

Package: python3-cyborg
Architecture: all
Section: python
Depends:
 alembic,
 python3-alembic,
 python3-cursive,
 python3-eventlet,
 python3-glanceclient,
 python3-jsonpatch,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstacksdk,
 python3-os-resource-classes,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-sqlalchemy,
 python3-stevedore,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Acceleration as a Service - Python library
 Cyborg provides a general management framework for accelerators such as FPGA,
 GPU, SoCs, NVMe SSDs, CCIX caches, DPDK/SPDK, pmem and so forth. It provides a
 REST API for basic accelerator life cycle management, and has a generic driver
 for common accelerator support.
 .
 This package provides the Python library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete
@@ -80,7 +80,7 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	echo "No man pages for now"
 #	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
-#	dh_installman -O--buildsystem=python_distutils
+#	dh_installman
 endif
 
 override_dh_python3:

## cyborg 14.0.0~rc1

=== debian/changelog ===
cyborg (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:34:50 +0100

cyborg (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of oslo.utils (build-)depends.
  * Build-depends on openstack-pkg-tools >= 133~.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 08:55:22 +0100

## cyborg 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 
 pbr>=0.11,!=2.1.0 # Apache-2.0
 pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4,!=1.2 # BSD
 WSME>=0.10.1 # MIT
-eventlet>=0.26.0 # MIT
+eventlet>=0.27.0 # MIT
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.config>=1.1.0,!=4.3.0,!=4.4.0 # Apache-2.0
 oslo.log>=5.0.0 # Apache-2.0
@@ -18,8 +18,8 @@
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
-SQLAlchemy>=0.9.0,!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8 # MIT
+oslo.policy>=4.5.0 # Apache-2.0
+SQLAlchemy>=1.1.9 # MIT
 alembic>=0.8.10 # MIT
 stevedore>=1.5.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0

=== debian/changelog ===
cyborg (14.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Sat, 12 Jul 2025 08:26:32 +0000

cyborg (14.0.0-3) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME in all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:23:11 +0200

cyborg (14.0.0-2) unstable; urgency=medium

  * Blacklist TestFPGADriver.test_program that is failing in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 15:36:04 +0200

cyborg (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:21:15 +0200

## cyborg 15.0.0~rc1

=== debian/changelog ===
cyborg (15.0.0~rc1-3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Sun, 28 Sep 2025 22:30:22 +0000

cyborg (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:25:20 +0200

cyborg (15.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP= in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 22:04:28 +0200

cyborg (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch API to use module=cyborg.wsgi.api:application instead of wsgi-file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 08:28:24 +0200

## cyborg 15.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
cyborg (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:47:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 133~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -36,7 +36,7 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.privsep,
  python3-oslo.service,
  python3-oslo.upgradecheck,
@@ -165,7 +165,7 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.privsep,
  python3-oslo.service,
  python3-oslo.upgradecheck,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,9 @@
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cyborg\.tests\.unit.*'
+	# Failing test in Bookworm:
+	# cyborg.tests.unit.accelerator.drivers.fpga.test_base.TestFPGADriver.test_program
+	pkgos-dh_auto_test --no-py2 'cyborg\.tests\.unit\.(?!accelerator\.drivers\.fpga\.test_base\.TestFPGADriver\.test_program)'
 endif
 
 	mkdir -p $(CURDIR)/debian/cyborg-common/usr/share/cyborg-common

=== debian/watch ===
version=3
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cyborg refs/tags/(\d[brc\d\.]+)
